package com.app.ui.activity

import android.os.Bundle
import android.view.View
import android.webkit.WebView
import android.widget.TextView
import com.app.R
import com.app.constants.KeyConstants
import com.yy.util.string.StringUtils

/**
 * Created by liujiawei on 2017/10/25.
 * 展示支付页面
 */
class SmallVideoPalPayActivity : WebViewActivity() {

    private var mWebPageFinished: Boolean = false
    var hint: TextView? = null

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)

        hint = findViewById(R.id.id_video_pay_hint)
        if (intent != null) {
            val tag = intent.getStringExtra(KeyConstants.KEY_TAG)
            val remainingTime = intent.getIntExtra(KeyConstants.KEY_REMAININGTIME, 45)
            if (!StringUtils.isEmpty(tag) && hint != null) {
                hint?.text = String.format(getString(R.string.str_continue_buy_hint), remainingTime)
                hint?.visibility = View.VISIBLE
            }
        }

    }


    override fun getUrl(): String {
        return intent.getStringExtra(KeyConstants.KEY_URL)
    }

    override fun onWebPageFinished(webview: WebView?, url: String?) {
        super.onWebPageFinished(webview, url)
        mWebPageFinished = true
    }

}